.main-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 15;
}

.logo-wrapper {
    display: flex;
    align-items: stretch;
    line-height: 0;
}

.logo-wrapper .white {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
}

@keyframes initial-shrink-and-settle {
    0%, 75% {
        max-width: 120px;
        opacity: 1;
    }
    100% {
        max-width: 0;
        opacity: 0.5;
    }
}

.logo-wrapper .white .hidden-white {
    max-width: 0;
    transition: max-width 0.3s ease, opacity 0.3s ease;
    overflow: hidden;
    animation: initial-shrink-and-settle 2s ease forwards;
    animation-iteration-count: 1;
    height: 100%;
    opacity: 0.5;
}

.logo-wrapper .white .hidden-white .reveal {
    /* padding-left:12px;
    padding-right:10px; */
    height: 100%;
}

.logo-wrapper .reveal { padding:5px 0; }

.logo-wrapper:hover .white .hidden-white {
    max-width: 120px;
    opacity: 1;
}


.logo-wrapper .white img { width: auto; height:100%; }

.logo-wrapper .black {
    max-width: 0;
    overflow: hidden;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    transition: max-width 0.3s ease, opacity 0.3s ease;
    animation: initial-shrink-and-settle 2s ease forwards;
    animation-iteration-count: 1;
    opacity: 0.5;
}

.logo-wrapper:hover .black {
    max-width: 120px;
    opacity: 1;
}

.logo-wrapper .black .reveal {
    height: 100%;

}

.logo-wrapper .black .reveal img {
    width: auto;
    height: 100%;
}
.main-header .container {
    display: flex;
    justify-content: space-between;
    padding: 25px 60px 0 50px
}

.main-header__logo {
    height: 50px;
    display: flex;
}

.main-header__cta {
    height: 50px;
    display: flex;
    padding: 5px 0;
    align-items: center;
}

.main-header__cta-link {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    padding: 0 20px;
    border-radius: 200px;
    background: var(--color-orange);
    color: #fff;
    font-size: 13px;
    font-weight: 400;
    letter-spacing: .56px;
    text-transform: uppercase;
    text-wrap: nowrap;
    transition: background-color 0.15s ease-out;
}

.main-header__cta-link:hover {
    background: var(--color-orange-hover);
}

.main-header .main-navigation {
    border-radius: 25px;
    background: var(--color-green);
    backdrop-filter: blur(15px);
    padding: 5px;
    max-height: 50px;
    will-change: max-height;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    transition: all ease .5s;


}

.menu-header {
    display: flex;
}

.main-header .main-navigation.is-open {
    border-radius: 23px 23px 10px 10px;
    max-height: 800px;
}

.main-header .main-navigation__menu-handle {
    height: 40px;
    width: 100%;
}

.main-header .main-navigation__menu-handle a {
    display: flex;
    align-items: center;
    gap: 15px;
    padding-right: 21px;
    border-radius: 200px;
    background: var(--color-yellow);
    backdrop-filter: blur(15px);
    height: 40px;
}

.main-header .main-navigation__menu-handle a .menu-handle-toggle {
    background: var(--color-orange);
    border-radius: 50%;
    width: 40px;
    height: 40px;
    gap: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.main-header .main-navigation__menu-handle a .menu-handle-toggle span {
    width: 18px;
    height: 2px;
    background: #fff;
    border-radius: 5px;
    transition: all .3s ease;
    transform-origin: center;
}

.main-header .main-navigation__menu-handle a .menu-handle-toggle.is-open span:nth-child(1) {
    transform: rotate(45deg);
    position: absolute;
}

.main-header .main-navigation__menu-handle a .menu-handle-toggle.is-open span:nth-child(2) {
    opacity: 0;
}

.main-header .main-navigation__menu-handle a .menu-handle-toggle.is-open span:nth-child(3) {
    transform: rotate(-45deg);
    position: absolute;
}

.main-header .main-navigation__menu-handle a .label {
    color: var(--color-accent-primary);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    letter-spacing: .56px;
    text-transform: uppercase;
}

.main-header .main-navigation__menu-handle a.active .menu-handle-toggle,.main-header .main-navigation__menu-handle a:hover .menu-handle-toggle {
    background: #c07d33;
}

.main-header .main-navigation__languages ul {
    border-radius: 200px;
    background: var(--color-blue);
    height: 40px;
    display: flex;
    padding: 4px;
}

.main-header .main-navigation__languages ul li a {
    border-radius: 200px;
    color: #fff;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    height: 32px;
    display: flex;
    align-items: center;
    padding: 15px 12px;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.main-header .main-navigation__languages ul li a.active, .main-header .main-navigation__languages ul li a:hover {
    background: rgba(255,255,255,.15)
}

.main-header .main-navigation__single-link .wpp {
    border-radius: 200px;
    background: #25d366;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
}

.main-header .main-navigation__submenu {
    width: 100%;
    padding-top: 10px;
}

.main-header .main-navigation__submenu ul {
    display: flex;
    gap: 5px;
    flex-direction: column;
}

.main-header .main-navigation__submenu ul li a {
    border-radius: 10px;
    background: rgba(255,255,255,.05);
    padding: 15px;
    color: #fff;
    font-size: 13px;
    line-height: 13px;
    font-style: normal;
    font-weight: 400;
    display: block
}

.main-header .main-navigation__submenu ul li a:hover {
    background: var(--color-orange);
}

.main-header .main-navigation__submenu ul li ul {
    border-radius: 200px;
    background: rgba(0,0,0,.3);
    height: 40px;
    padding: 4px;
    gap: 0;
    flex-direction: row
}

.main-header .main-navigation__submenu ul li ul li {
    display: flex;
    flex: 0 0 33.333%
}

.main-header .main-navigation__submenu ul li ul li a {
    border-radius: 200px;
    color: #fff;
    font-size: 10px;
    font-style: normal;
    font-weight: 400;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px 12px;
    width: 100%;
    background: 0 0
}

.main-header .main-navigation__submenu ul li ul li a.active,.main-header .main-navigation__submenu ul li ul li a:hover {
    background: rgba(255,255,255,.15)
}

.main-header .main-navigation__submenu ul li.mobile {
    display: none
}

.main-header .main-navigation__submenu ul li.mobile-cta a {
    background: var(--color-orange);
}

.main-header .main-navigation__submenu ul li.mobile-cta a:hover {
    background: var(--color-orange-hover);
}

.main-header .main-navigation__submenu ul li.mobile-languages ul {
    background: var(--color-blue);
}

@media (max-width: 1700px) {
    .main-header .container {
        display:flex;
        justify-content: space-between;
        padding: 20px 30px 0 30px;
    }
}

@media (max-width: 768px) {
    .main-header .container {
        padding: 10px 10px 0 10px;
    }

    .main-header__cta {
        display: none
    }

    .logo-wrapper .white .hidden-white,
    .logo-wrapper .black {
        max-width: 0;
        opacity: 0;
        animation: none;
        transition: none;
    }
    
    .main-header .main-navigation {
        position:static;
        transform: none;
    }

    .main-header .main-navigation.is-open {
        max-height: 800px;
    }

    .main-header .main-navigation__languages {
        display: none
    }

    .main-header .main-navigation__submenu ul li.mobile {
        display: block
    }
}